Page MenuHomePhabricator

Add wiki title case sensitivity flag (is_sensitive) to meta_p.wiki to support jbo.wp and wiktionary tools
Closed, ResolvedPublic

Description

on toolserver.wiki there was a column is_sensitive. This is needed by to tools parsing user input or langlinks. E.g first letter of titles for de.wikipedia must always start upper case, but not for jbo.wikipedia.

So please add this columns to meta_p.wiki

Current config at wmf cluster is:
'wgCapitalLinks' => array(
'default' => true,
'jbowiki' => false,
'wiktionary' => false,
),


Version: unspecified
Severity: enhancement

Details

Reference
bz67476
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:31 AM
bzimport added a project: Toolforge.
bzimport set Reference to bz67476.
Merl created this task.Jul 3 2014, 11:11 AM
coren moved this task from Triage to Backlog on the Toolforge board.Nov 25 2014, 4:11 PM
jayvdb renamed this task from Add is_sensitive to meta_p.wiki to Add wiki title case sensitivity flag (is_sensitive) to meta_p.wiki to support jbo.wp and wiktionary tools.Jan 30 2015, 6:30 AM
jayvdb set Security to None.
jayvdb updated the task description. (Show Details)Feb 14 2015, 5:44 AM
jayvdb added a subscriber: jayvdb.Feb 14 2015, 6:16 AM

It would probably also be useful to add a jbo wiki to the wmfbeta farm, so testing of features can be conducted there with it's differing configuration.

http://deployment.wikimedia.beta.wmflabs.org/wiki/Special:SiteMatrix

Change 197082 had a related patch set uploaded (by coren):
Add is_sensitive to replica meta_p.wiki table

https://gerrit.wikimedia.org/r/197082

coren closed this task as Resolved.Mar 16 2015, 4:49 PM
> select is_sensitive, count(*) from meta_p.wiki group by is_sensitive;
+--------------+----------+
| is_sensitive | count(*) |
+--------------+----------+
|            0 |      686 |
|            1 |      173 |
+--------------+----------+
2 rows in set (0.01 sec)

This correctly includes all wiktionaries and jbowiki.

Change 197082 merged by coren:
Add is_sensitive to replica meta_p.wiki table

https://gerrit.wikimedia.org/r/197082

coren triaged this task as Low priority.Mar 16 2015, 4:52 PM
coren removed a project: Patch-For-Review.